Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.reflection
Class StringToObjectConverterTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.nanocontainer.reflection.StringToObjectConverterTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class StringToObjectConverterTestCase

extends junit.framework.TestCase

Constructor Summary
`StringToObjectConverterTestCase()`

Method Summary
`void` | `testConvertsToBooleanUsingBestGuess()`
`void` | `testConvertsToInts()`
`void` | `testConvertsToLong()`
`void` | `testConvertsToString()`
`void` | `testCustomConversionsCanBeRegistered()`
`void` | `testDodgyFormatThrowExceptions()`
`void` | `testExceptionThrownIfConverterNotRegistered()`
`void` | `testNullsMapToDefaultValues()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringToObjectConverterTestCase

    public StringToObjectConverterTestCase()

Method Detail

### testConvertsToString

    public void testConvertsToString()

### testConvertsToInts

    public void testConvertsToInts()

### testConvertsToLong

    public void testConvertsToLong()

### testConvertsToBooleanUsingBestGuess

    public void testConvertsToBooleanUsingBestGuess()

### testCustomConversionsCanBeRegistered

    public void testCustomConversionsCanBeRegistered()

### testNullsMapToDefaultValues

    public void testNullsMapToDefaultValues()

### testExceptionThrownIfConverterNotRegistered

    public void testExceptionThrownIfConverterNotRegistered()

### testDodgyFormatThrowExceptions

    public void testDodgyFormatThrowExceptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.